import java.awt.Point;


public class Storage
{
	Point peerPositions[] = new Point[8];
	private int rangesMatrix[] = new int[8];
	private int peerNum;
	private float r,z,b;
	private int q;
	private int delay;
	private int throughput;
	private String startTime,endTime;
	
	public Storage()
	{
		
	}


	public void setPositions(Point[] p)
	{
		for ( int i = 0 ; i < peerPositions.length ; i++)
		{
			peerPositions[i] = p[i];			
		}
	}

	public void setRanges(int[] r)
	{
		for ( int i = 0 ; i < rangesMatrix.length ; i++)
		{
			rangesMatrix[i] = r[i];			
		}
	}
	
	public void setPeerNum(int i)
	{
		peerNum = i;
	}
	
	public void setR(float rr)
	{
		r = rr;
	}
	
	public void setZ(float zz)
	{
		z = zz;
	}
	
	public void setB(float bb)
	{
		b = bb;
	}
	
	public void setQ(int qq)
	{
		 q = qq;
	}
	
	public void setDelay(int d)
	{
		delay = d;
	}
	
	public void setThroughput(int t)
	{
		throughput = t;
	}
	
	public void setStartTime(String st)
	{
		startTime = st;
	}
	
	public void setEndTime(String et)
	{
		endTime = et;
	}
	
	public Point[] getPositions()
	{
		return peerPositions;
	}
	
	public int[] getRanges()
	{
		return rangesMatrix;
	}
	
	public float getR()
	{
		return (r/100);
	}
	
	public float getZ()
	{
		return (z/100);
	}
	
	public float getB()
	{
		return b;
	}
	
	public int getQ()
	{
		return q;
	}	

	public int getPeerNum()
	{
		return peerNum;
	}
	
	public int getDelay()
	{
		return delay;
	}
	
	public int getThroughput()
	{
		return throughput;
	}
	
	public String getStartTime()
	{
		return startTime;
	}
	
	public String getEndTime()
	{
		return endTime;
	}
	
}

