import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import java.util.concurrent.locks.Condition;

public class ThreadHandler
{
	
	Lock accessLock= new ReentrantLock();
	
	Condition canContinue = accessLock.newCondition();
	
	
	public void pause()
	{
		accessLock.lock();
		
		try
		{			
			canContinue.await();		
		}
		catch(InterruptedException ie)
		{
			ie.printStackTrace();
		}
		finally
		{
			accessLock.unlock();
		}
	}
	
	public void resume()
	{
		accessLock.lock();		
		canContinue.signal();	
		accessLock.unlock();
				
	}
	
}