import java.lang.Math;
import java.math.*;
import java.util.Random;
import java.util.Calendar;

public class Packet
{
	private int size; //in bytes
	
	private static final double M = 28d;
	
	private Random generator = new Random();
	
	private Calendar now;
	
	private int birthDate;
	//null constructor - set packet to maximum size
	public Packet()
	{
		size = calculateSize();
		now = Calendar.getInstance();
		birthDate = (now.get(Calendar.HOUR_OF_DAY)*3600000)+(now.get(Calendar.MINUTE)*60000)+(now.get(Calendar.SECOND)*1000)+now.get(Calendar.MILLISECOND);				
		System.out.println("birthtime:"+this.getBirthDate());
		
	}
	
	
	public Packet(int s)
	{
		size = s;	
		now = Calendar.getInstance();
		birthDate = (now.get(Calendar.HOUR_OF_DAY)*3600000)+(now.get(Calendar.MINUTE)*60000)+(now.get(Calendar.SECOND)*1000)+now.get(Calendar.MILLISECOND);				
		//System.out.println("birthtime:"+this.getBirthDate());
	}
	
	
	public Packet(String s)
	{
		if (s.equals("zero")) size = 0;
	}
	
	
	public int calculateSize()
	{
		int siZe;
		double tempSize = ((-M)*Math.log(1d-(generator.nextDouble())));
		if (tempSize < 15) tempSize = 15d;
		if (tempSize > 41) tempSize = 41d;
		siZe = (int) tempSize;
		return siZe;
	}
	
	
	public int getSize()
	{
		return size;
	}
	
	public int getBirthDate()
	{
		return birthDate;	
	}
}